/*
 * Paraselene
 * Copyright (c) 2009  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.supervisor;


/**
 * 遷移先指定。input を処理したページ(自分自身)に画面遷移します。<br>
 * ページのgetAjaxSupportが有効な場合、画面遷移が発生せず画面の再描画になります。
 */
public class Feedback extends Forward {
	private static final long serialVersionUID = 2L;

	/**
	 * コンストラクタ。
	 * input と同じインスタンスで output を処理します。<br>
	 * セッションは維持されます。
	 */
	public Feedback() {
		super( SandBox.getCurrentPage().getID() );
	}

	Feedback( PageID id ) {
		super( id );
	}
}

